commit:     a5e0c6734c1b5cfd956c408fff73c4a9c7a05022
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 02:51:56 2017 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Aug 27 04:24:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5e0c673

dev-python/oslo-concurrency: 3.21.0 bup

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/oslo-concurrency/Manifest               |  1 +
 .../oslo-concurrency-3.21.0.ebuild                 | 58 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/oslo-concurrency/Manifest 
b/dev-python/oslo-concurrency/Manifest
index 1aeae89db22..be0b153ed53 100644
--- a/dev-python/oslo-concurrency/Manifest
+++ b/dev-python/oslo-concurrency/Manifest
@@ -1 +1,2 @@
 DIST oslo.concurrency-3.18.0.tar.gz 46670 SHA256 
49d56f2250e167ee03e3a4255d7b6086f93badd2a826e36d60324b91798c3980 SHA512 
ce934910eb33d00bbe0dbb0e022df6ebf69ba7e53ebe3fccb0f0025d9f1dd8a75b1e7547f67168e226d6fde80d953c12e7bae33559e75002a7b1b9040a8d8ce4
 WHIRLPOOL 
8f93f4d1f418d3b40322f6c576ea48d6cc0d45f1fb1ab6a3479c15b6533b125d58fe97b837f64a23ebd9fe8165292c96da00b38834d662690fa1ea5750a54a2f
+DIST oslo.concurrency-3.21.0.tar.gz 47353 SHA256 
732e53c37d349a97ea70bd4f31336de26de316453d956210e5cb0015cbc51abb SHA512 
98215419ec7864b090fc7b99136d9b719066f626cf336cd011a25126dc75b510f6a6b8ba74e842d7768da01363191abbb41cc80570955e91760fba579407ca30
 WHIRLPOOL 
c8a0343c3bdce498e231dd76d628ebfd5e18aad2c246896c09da300d1c8f72d60ba249e98ccd42176abe09bf1e62d5c8d85489e4b7885da3c49a98ad18bdda1e

diff --git a/dev-python/oslo-concurrency/oslo-concurrency-3.21.0.ebuild 
b/dev-python/oslo-concurrency/oslo-concurrency-3.21.0.ebuild
new file mode 100644
index 00000000000..e2a64e7fc3b
--- /dev/null
+++ b/dev-python/oslo-concurrency/oslo-concurrency-3.21.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1
+
+DESCRIPTION="library for running  multi-thread, multi-process applications"
+HOMEPAGE="https://pypi.python.org/pypi/oslo.concurrency";
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.concurrency/oslo.concurrency-${PV}.tar.gz"
+S="${WORKDIR}/oslo.concurrency-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               >=dev-python/oslotest-1.10.0[${PYTHON_USEDEP}]
+               >=dev-python/coverage-4.0[${PYTHON_USEDEP}]
+               !~dev-python/coverage-4.4[${PYTHON_USEDEP}]
+               virtual/python-futures[${PYTHON_USEDEP}]
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+               >=dev-python/openstackdocstheme-1.11.0[${PYTHON_USEDEP}]
+               >=dev-python/reno-1.8.0[${PYTHON_USEDEP}]
+               !~dev-python/reno-2.3.1[${PYTHON_USEDEP}]
+               >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+               !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+               <dev-python/eventlet-0.21.0[${PYTHON_USEDEP}]
+       )"
+RDEPEND="
+       ${CDEPEND}
+       virtual/python-enum34[${PYTHON_USEDEP}]
+       >=dev-python/oslo-config-4.0.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-config-4.3.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-config-4.4.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+       !~dev-python/oslo-i18n-3.15.2[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.20.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/fasteners-0.7[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       sed -i '/^futures/d' test-requirements.txt || die
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests ${PN/-/_}/tests/ || die "test failed under ${EPYTHON}"
+}

Reply via email to